xref: /freebsd/contrib/expat/tests/Makefile.in (revision 8cc087a1eee9ec1ca9f7ac1e63ad51bdb5a682eb)
1# Makefile.in generated by automake 1.16.5 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18#                          __  __            _
19#                       ___\ \/ /_ __   __ _| |_
20#                      / _ \\  /| '_ \ / _` | __|
21#                     |  __//  \| |_) | (_| | |_
22#                      \___/_/\_\ .__/ \__,_|\__|
23#                               |_| XML parser
24#
25# Copyright (c) 2017-2021 Sebastian Pipping <sebastian@pipping.org>
26# Copyright (c) 2017      Rhodri James <rhodri@wildebeest.org.uk>
27# Copyright (c) 2020      Jeffrey Walton <noloader@gmail.com>
28# Licensed under the MIT license:
29#
30# Permission is  hereby granted,  free of charge,  to any  person obtaining
31# a  copy  of  this  software   and  associated  documentation  files  (the
32# "Software"),  to  deal in  the  Software  without restriction,  including
33# without  limitation the  rights  to use,  copy,  modify, merge,  publish,
34# distribute, sublicense, and/or sell copies of the Software, and to permit
35# persons  to whom  the Software  is  furnished to  do so,  subject to  the
36# following conditions:
37#
38# The above copyright  notice and this permission notice  shall be included
39# in all copies or substantial portions of the Software.
40#
41# THE  SOFTWARE  IS  PROVIDED  "AS  IS",  WITHOUT  WARRANTY  OF  ANY  KIND,
42# EXPRESS  OR IMPLIED,  INCLUDING  BUT  NOT LIMITED  TO  THE WARRANTIES  OF
43# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
44# NO EVENT SHALL THE AUTHORS OR  COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
45# DAMAGES OR  OTHER LIABILITY, WHETHER  IN AN  ACTION OF CONTRACT,  TORT OR
46# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
47# USE OR OTHER DEALINGS IN THE SOFTWARE.
48
49VPATH = @srcdir@
50am__is_gnu_make = { \
51  if test -z '$(MAKELEVEL)'; then \
52    false; \
53  elif test -n '$(MAKE_HOST)'; then \
54    true; \
55  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
56    true; \
57  else \
58    false; \
59  fi; \
60}
61am__make_running_with_option = \
62  case $${target_option-} in \
63      ?) ;; \
64      *) echo "am__make_running_with_option: internal error: invalid" \
65              "target option '$${target_option-}' specified" >&2; \
66         exit 1;; \
67  esac; \
68  has_opt=no; \
69  sane_makeflags=$$MAKEFLAGS; \
70  if $(am__is_gnu_make); then \
71    sane_makeflags=$$MFLAGS; \
72  else \
73    case $$MAKEFLAGS in \
74      *\\[\ \	]*) \
75        bs=\\; \
76        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
77          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
78    esac; \
79  fi; \
80  skip_next=no; \
81  strip_trailopt () \
82  { \
83    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
84  }; \
85  for flg in $$sane_makeflags; do \
86    test $$skip_next = yes && { skip_next=no; continue; }; \
87    case $$flg in \
88      *=*|--*) continue;; \
89        -*I) strip_trailopt 'I'; skip_next=yes;; \
90      -*I?*) strip_trailopt 'I';; \
91        -*O) strip_trailopt 'O'; skip_next=yes;; \
92      -*O?*) strip_trailopt 'O';; \
93        -*l) strip_trailopt 'l'; skip_next=yes;; \
94      -*l?*) strip_trailopt 'l';; \
95      -[dEDm]) skip_next=yes;; \
96      -[JT]) skip_next=yes;; \
97    esac; \
98    case $$flg in \
99      *$$target_option*) has_opt=yes; break;; \
100    esac; \
101  done; \
102  test $$has_opt = yes
103am__make_dryrun = (target_option=n; $(am__make_running_with_option))
104am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
105pkgdatadir = $(datadir)/@PACKAGE@
106pkgincludedir = $(includedir)/@PACKAGE@
107pkglibdir = $(libdir)/@PACKAGE@
108pkglibexecdir = $(libexecdir)/@PACKAGE@
109am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
110install_sh_DATA = $(install_sh) -c -m 644
111install_sh_PROGRAM = $(install_sh) -c
112install_sh_SCRIPT = $(install_sh) -c
113INSTALL_HEADER = $(INSTALL_DATA)
114transform = $(program_transform_name)
115NORMAL_INSTALL = :
116PRE_INSTALL = :
117POST_INSTALL = :
118NORMAL_UNINSTALL = :
119PRE_UNINSTALL = :
120POST_UNINSTALL = :
121build_triplet = @build@
122host_triplet = @host@
123check_PROGRAMS = runtests$(EXEEXT) runtestspp$(EXEEXT)
124TESTS = runtests$(EXEEXT) runtestspp$(EXEEXT)
125subdir = tests
126ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
127am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
128	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
129	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
130	$(top_srcdir)/acinclude.m4 \
131	$(top_srcdir)/conftools/ax-require-defined.m4 \
132	$(top_srcdir)/conftools/ax-check-compile-flag.m4 \
133	$(top_srcdir)/conftools/ax-check-link-flag.m4 \
134	$(top_srcdir)/conftools/ax-append-flag.m4 \
135	$(top_srcdir)/conftools/ax-append-compile-flags.m4 \
136	$(top_srcdir)/conftools/ax-append-link-flags.m4 \
137	$(top_srcdir)/conftools/expatcfg-compiler-supports-visibility.m4 \
138	$(top_srcdir)/configure.ac
139am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
140	$(ACLOCAL_M4)
141DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
142mkinstalldirs = $(install_sh) -d
143CONFIG_HEADER = $(top_builddir)/expat_config.h
144CONFIG_CLEAN_FILES =
145CONFIG_CLEAN_VPATH_FILES =
146LIBRARIES = $(noinst_LIBRARIES)
147ARFLAGS = cru
148AM_V_AR = $(am__v_AR_@AM_V@)
149am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
150am__v_AR_0 = @echo "  AR      " $@;
151am__v_AR_1 =
152libruntests_a_AR = $(AR) $(ARFLAGS)
153libruntests_a_LIBADD =
154am_libruntests_a_OBJECTS = chardata.$(OBJEXT) structdata.$(OBJEXT) \
155	memcheck.$(OBJEXT) minicheck.$(OBJEXT)
156libruntests_a_OBJECTS = $(am_libruntests_a_OBJECTS)
157am_runtests_OBJECTS = runtests.$(OBJEXT)
158runtests_OBJECTS = $(am_runtests_OBJECTS)
159runtests_DEPENDENCIES = libruntests.a ../lib/libexpatinternal.la
160AM_V_lt = $(am__v_lt_@AM_V@)
161am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
162am__v_lt_0 = --silent
163am__v_lt_1 =
164runtests_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
165	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
166	$(runtests_LDFLAGS) $(LDFLAGS) -o $@
167am_runtestspp_OBJECTS = runtestspp.$(OBJEXT)
168runtestspp_OBJECTS = $(am_runtestspp_OBJECTS)
169runtestspp_DEPENDENCIES = libruntests.a ../lib/libexpatinternal.la
170runtestspp_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
171	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
172	$(CXXFLAGS) $(runtestspp_LDFLAGS) $(LDFLAGS) -o $@
173AM_V_P = $(am__v_P_@AM_V@)
174am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
175am__v_P_0 = false
176am__v_P_1 = :
177AM_V_GEN = $(am__v_GEN_@AM_V@)
178am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
179am__v_GEN_0 = @echo "  GEN     " $@;
180am__v_GEN_1 =
181AM_V_at = $(am__v_at_@AM_V@)
182am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
183am__v_at_0 = @
184am__v_at_1 =
185DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
186depcomp = $(SHELL) $(top_srcdir)/conftools/depcomp
187am__maybe_remake_depfiles = depfiles
188am__depfiles_remade = ./$(DEPDIR)/chardata.Po ./$(DEPDIR)/memcheck.Po \
189	./$(DEPDIR)/minicheck.Po ./$(DEPDIR)/runtests.Po \
190	./$(DEPDIR)/runtestspp.Po ./$(DEPDIR)/structdata.Po
191am__mv = mv -f
192COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
193	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
194LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
195	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
196	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
197	$(AM_CFLAGS) $(CFLAGS)
198AM_V_CC = $(am__v_CC_@AM_V@)
199am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
200am__v_CC_0 = @echo "  CC      " $@;
201am__v_CC_1 =
202CCLD = $(CC)
203LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
204	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
205	$(AM_LDFLAGS) $(LDFLAGS) -o $@
206AM_V_CCLD = $(am__v_CCLD_@AM_V@)
207am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
208am__v_CCLD_0 = @echo "  CCLD    " $@;
209am__v_CCLD_1 =
210CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
211	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
212LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
213	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
214	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
215	$(AM_CXXFLAGS) $(CXXFLAGS)
216AM_V_CXX = $(am__v_CXX_@AM_V@)
217am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
218am__v_CXX_0 = @echo "  CXX     " $@;
219am__v_CXX_1 =
220CXXLD = $(CXX)
221CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
222	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
223	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
224AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
225am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
226am__v_CXXLD_0 = @echo "  CXXLD   " $@;
227am__v_CXXLD_1 =
228SOURCES = $(libruntests_a_SOURCES) $(runtests_SOURCES) \
229	$(runtestspp_SOURCES)
230DIST_SOURCES = $(libruntests_a_SOURCES) $(runtests_SOURCES) \
231	$(runtestspp_SOURCES)
232RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
233	ctags-recursive dvi-recursive html-recursive info-recursive \
234	install-data-recursive install-dvi-recursive \
235	install-exec-recursive install-html-recursive \
236	install-info-recursive install-pdf-recursive \
237	install-ps-recursive install-recursive installcheck-recursive \
238	installdirs-recursive pdf-recursive ps-recursive \
239	tags-recursive uninstall-recursive
240am__can_run_installinfo = \
241  case $$AM_UPDATE_INFO_DIR in \
242    n|no|NO) false;; \
243    *) (install-info --version) >/dev/null 2>&1;; \
244  esac
245RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
246  distclean-recursive maintainer-clean-recursive
247am__recursive_targets = \
248  $(RECURSIVE_TARGETS) \
249  $(RECURSIVE_CLEAN_TARGETS) \
250  $(am__extra_recursive_targets)
251AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
252	check recheck distdir distdir-am
253am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
254# Read a list of newline-separated strings from the standard input,
255# and print each of them once, without duplicates.  Input order is
256# *not* preserved.
257am__uniquify_input = $(AWK) '\
258  BEGIN { nonempty = 0; } \
259  { items[$$0] = 1; nonempty = 1; } \
260  END { if (nonempty) { for (i in items) print i; }; } \
261'
262# Make sure the list of sources is unique.  This is necessary because,
263# e.g., the same source file might be shared among _SOURCES variables
264# for different programs/libraries.
265am__define_uniq_tagged_files = \
266  list='$(am__tagged_files)'; \
267  unique=`for i in $$list; do \
268    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
269  done | $(am__uniquify_input)`
270am__tty_colors_dummy = \
271  mgn= red= grn= lgn= blu= brg= std=; \
272  am__color_tests=no
273am__tty_colors = { \
274  $(am__tty_colors_dummy); \
275  if test "X$(AM_COLOR_TESTS)" = Xno; then \
276    am__color_tests=no; \
277  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
278    am__color_tests=yes; \
279  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
280    am__color_tests=yes; \
281  fi; \
282  if test $$am__color_tests = yes; then \
283    red=''; \
284    grn=''; \
285    lgn=''; \
286    blu=''; \
287    mgn=''; \
288    brg=''; \
289    std=''; \
290  fi; \
291}
292am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
293am__vpath_adj = case $$p in \
294    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
295    *) f=$$p;; \
296  esac;
297am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
298am__install_max = 40
299am__nobase_strip_setup = \
300  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
301am__nobase_strip = \
302  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
303am__nobase_list = $(am__nobase_strip_setup); \
304  for p in $$list; do echo "$$p $$p"; done | \
305  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
306  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
307    if (++n[$$2] == $(am__install_max)) \
308      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
309    END { for (dir in files) print dir, files[dir] }'
310am__base_list = \
311  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
312  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
313am__uninstall_files_from_dir = { \
314  test -z "$$files" \
315    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
316    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
317         $(am__cd) "$$dir" && rm -f $$files; }; \
318  }
319am__recheck_rx = ^[ 	]*:recheck:[ 	]*
320am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
321am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
322# A command that, given a newline-separated list of test names on the
323# standard input, print the name of the tests that are to be re-run
324# upon "make recheck".
325am__list_recheck_tests = $(AWK) '{ \
326  recheck = 1; \
327  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
328    { \
329      if (rc < 0) \
330        { \
331          if ((getline line2 < ($$0 ".log")) < 0) \
332	    recheck = 0; \
333          break; \
334        } \
335      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
336        { \
337          recheck = 0; \
338          break; \
339        } \
340      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
341        { \
342          break; \
343        } \
344    }; \
345  if (recheck) \
346    print $$0; \
347  close ($$0 ".trs"); \
348  close ($$0 ".log"); \
349}'
350# A command that, given a newline-separated list of test names on the
351# standard input, create the global log from their .trs and .log files.
352am__create_global_log = $(AWK) ' \
353function fatal(msg) \
354{ \
355  print "fatal: making $@: " msg | "cat >&2"; \
356  exit 1; \
357} \
358function rst_section(header) \
359{ \
360  print header; \
361  len = length(header); \
362  for (i = 1; i <= len; i = i + 1) \
363    printf "="; \
364  printf "\n\n"; \
365} \
366{ \
367  copy_in_global_log = 1; \
368  global_test_result = "RUN"; \
369  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
370    { \
371      if (rc < 0) \
372         fatal("failed to read from " $$0 ".trs"); \
373      if (line ~ /$(am__global_test_result_rx)/) \
374        { \
375          sub("$(am__global_test_result_rx)", "", line); \
376          sub("[ 	]*$$", "", line); \
377          global_test_result = line; \
378        } \
379      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
380        copy_in_global_log = 0; \
381    }; \
382  if (copy_in_global_log) \
383    { \
384      rst_section(global_test_result ": " $$0); \
385      while ((rc = (getline line < ($$0 ".log"))) != 0) \
386      { \
387        if (rc < 0) \
388          fatal("failed to read from " $$0 ".log"); \
389        print line; \
390      }; \
391      printf "\n"; \
392    }; \
393  close ($$0 ".trs"); \
394  close ($$0 ".log"); \
395}'
396# Restructured Text title.
397am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
398# Solaris 10 'make', and several other traditional 'make' implementations,
399# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
400# by disabling -e (using the XSI extension "set +e") if it's set.
401am__sh_e_setup = case $$- in *e*) set +e;; esac
402# Default flags passed to test drivers.
403am__common_driver_flags = \
404  --color-tests "$$am__color_tests" \
405  --enable-hard-errors "$$am__enable_hard_errors" \
406  --expect-failure "$$am__expect_failure"
407# To be inserted before the command running the test.  Creates the
408# directory for the log if needed.  Stores in $dir the directory
409# containing $f, in $tst the test, in $log the log.  Executes the
410# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
411# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
412# will run the test scripts (or their associated LOG_COMPILER, if
413# thy have one).
414am__check_pre = \
415$(am__sh_e_setup);					\
416$(am__vpath_adj_setup) $(am__vpath_adj)			\
417$(am__tty_colors);					\
418srcdir=$(srcdir); export srcdir;			\
419case "$@" in						\
420  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
421    *) am__odir=.;; 					\
422esac;							\
423test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
424  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
425if test -f "./$$f"; then dir=./;			\
426elif test -f "$$f"; then dir=;				\
427else dir="$(srcdir)/"; fi;				\
428tst=$$dir$$f; log='$@'; 				\
429if test -n '$(DISABLE_HARD_ERRORS)'; then		\
430  am__enable_hard_errors=no; 				\
431else							\
432  am__enable_hard_errors=yes; 				\
433fi; 							\
434case " $(XFAIL_TESTS) " in				\
435  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
436    am__expect_failure=yes;;				\
437  *)							\
438    am__expect_failure=no;;				\
439esac; 							\
440$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
441# A shell command to get the names of the tests scripts with any registered
442# extension removed (i.e., equivalently, the names of the test logs, with
443# the '.log' extension removed).  The result is saved in the shell variable
444# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
445# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
446# since that might cause problem with VPATH rewrites for suffix-less tests.
447# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
448am__set_TESTS_bases = \
449  bases='$(TEST_LOGS)'; \
450  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
451  bases=`echo $$bases`
452AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
453RECHECK_LOGS = $(TEST_LOGS)
454TEST_SUITE_LOG = test-suite.log
455TEST_EXTENSIONS = @EXEEXT@ .test
456LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
457am__set_b = \
458  case '$@' in \
459    */*) \
460      case '$*' in \
461        */*) b='$*';; \
462          *) b=`echo '$@' | sed 's/\.log$$//'`; \
463       esac;; \
464    *) \
465      b='$*';; \
466  esac
467am__test_logs1 = $(TESTS:=.log)
468am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
469TEST_LOGS = $(am__test_logs2:.test.log=.log)
470TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/conftools/test-driver
471TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
472	$(TEST_LOG_FLAGS)
473DIST_SUBDIRS = $(SUBDIRS)
474am__DIST_COMMON = $(srcdir)/Makefile.in \
475	$(top_srcdir)/conftools/depcomp \
476	$(top_srcdir)/conftools/test-driver
477DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
478am__relativize = \
479  dir0=`pwd`; \
480  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
481  sed_rest='s,^[^/]*/*,,'; \
482  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
483  sed_butlast='s,/*[^/]*$$,,'; \
484  while test -n "$$dir1"; do \
485    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
486    if test "$$first" != "."; then \
487      if test "$$first" = ".."; then \
488        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
489        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
490      else \
491        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
492        if test "$$first2" = "$$first"; then \
493          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
494        else \
495          dir2="../$$dir2"; \
496        fi; \
497        dir0="$$dir0"/"$$first"; \
498      fi; \
499    fi; \
500    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
501  done; \
502  reldir="$$dir2"
503ACLOCAL = @ACLOCAL@
504AMTAR = @AMTAR@
505AM_CFLAGS = @AM_CFLAGS@
506AM_CPPFLAGS = @AM_CPPFLAGS@ -I$(srcdir)/../lib
507AM_CXXFLAGS = @AM_CXXFLAGS@
508AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
509AM_LDFLAGS = @AM_LDFLAGS@
510AR = @AR@
511AS = @AS@
512AUTOCONF = @AUTOCONF@
513AUTOHEADER = @AUTOHEADER@
514AUTOMAKE = @AUTOMAKE@
515AWK = @AWK@
516CC = @CC@
517CCDEPMODE = @CCDEPMODE@
518CFLAGS = @CFLAGS@
519CMAKE_SHARED_LIBRARY_PREFIX = @CMAKE_SHARED_LIBRARY_PREFIX@
520CPPFLAGS = @CPPFLAGS@
521CSCOPE = @CSCOPE@
522CTAGS = @CTAGS@
523CXX = @CXX@
524CXXCPP = @CXXCPP@
525CXXDEPMODE = @CXXDEPMODE@
526CXXFLAGS = @CXXFLAGS@
527CYGPATH_W = @CYGPATH_W@
528DEFS = @DEFS@
529DEPDIR = @DEPDIR@
530DLLTOOL = @DLLTOOL@
531DOCBOOK_TO_MAN = @DOCBOOK_TO_MAN@
532DSYMUTIL = @DSYMUTIL@
533DUMPBIN = @DUMPBIN@
534ECHO_C = @ECHO_C@
535ECHO_N = @ECHO_N@
536ECHO_T = @ECHO_T@
537EGREP = @EGREP@
538ETAGS = @ETAGS@
539EXEEXT = @EXEEXT@
540EXPAT_ATTR_INFO = @EXPAT_ATTR_INFO@
541EXPAT_CHAR_TYPE = @EXPAT_CHAR_TYPE@
542EXPAT_CONTEXT_BYTES = @EXPAT_CONTEXT_BYTES@
543EXPAT_DTD = @EXPAT_DTD@
544EXPAT_LARGE_SIZE = @EXPAT_LARGE_SIZE@
545EXPAT_MIN_SIZE = @EXPAT_MIN_SIZE@
546EXPAT_NS = @EXPAT_NS@
547FGREP = @FGREP@
548FILEMAP = @FILEMAP@
549GREP = @GREP@
550INSTALL = @INSTALL@
551INSTALL_DATA = @INSTALL_DATA@
552INSTALL_PROGRAM = @INSTALL_PROGRAM@
553INSTALL_SCRIPT = @INSTALL_SCRIPT@
554INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
555LD = @LD@
556LDFLAGS = @LDFLAGS@
557LIBAGE = @LIBAGE@
558LIBCURRENT = @LIBCURRENT@
559LIBDIR_BASENAME = @LIBDIR_BASENAME@
560LIBM = @LIBM@
561LIBOBJS = @LIBOBJS@
562LIBREVISION = @LIBREVISION@
563LIBS = @LIBS@
564LIBTOOL = @LIBTOOL@
565LIPO = @LIPO@
566LN_S = @LN_S@
567LTLIBOBJS = @LTLIBOBJS@
568LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
569MAKEINFO = @MAKEINFO@
570MANIFEST_TOOL = @MANIFEST_TOOL@
571MKDIR_P = @MKDIR_P@
572NM = @NM@
573NMEDIT = @NMEDIT@
574OBJDUMP = @OBJDUMP@
575OBJEXT = @OBJEXT@
576OTOOL = @OTOOL@
577OTOOL64 = @OTOOL64@
578PACKAGE = @PACKAGE@
579PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
580PACKAGE_NAME = @PACKAGE_NAME@
581PACKAGE_STRING = @PACKAGE_STRING@
582PACKAGE_TARNAME = @PACKAGE_TARNAME@
583PACKAGE_URL = @PACKAGE_URL@
584PACKAGE_VERSION = @PACKAGE_VERSION@
585PATH_SEPARATOR = @PATH_SEPARATOR@
586RANLIB = @RANLIB@
587SED = @SED@
588SET_MAKE = @SET_MAKE@
589SHELL = @SHELL@
590SO_MAJOR = @SO_MAJOR@
591SO_MINOR = @SO_MINOR@
592SO_PATCH = @SO_PATCH@
593STRIP = @STRIP@
594VERSION = @VERSION@
595abs_builddir = @abs_builddir@
596abs_srcdir = @abs_srcdir@
597abs_top_builddir = @abs_top_builddir@
598abs_top_srcdir = @abs_top_srcdir@
599ac_ct_AR = @ac_ct_AR@
600ac_ct_CC = @ac_ct_CC@
601ac_ct_CXX = @ac_ct_CXX@
602ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
603ac_cv_sizeof_void_p = @ac_cv_sizeof_void_p@
604am__include = @am__include@
605am__leading_dot = @am__leading_dot@
606am__quote = @am__quote@
607am__tar = @am__tar@
608am__untar = @am__untar@
609bindir = @bindir@
610build = @build@
611build_alias = @build_alias@
612build_cpu = @build_cpu@
613build_os = @build_os@
614build_vendor = @build_vendor@
615builddir = @builddir@
616datadir = @datadir@
617datarootdir = @datarootdir@
618docdir = @docdir@
619dvidir = @dvidir@
620exec_prefix = @exec_prefix@
621host = @host@
622host_alias = @host_alias@
623host_cpu = @host_cpu@
624host_os = @host_os@
625host_vendor = @host_vendor@
626htmldir = @htmldir@
627includedir = @includedir@
628infodir = @infodir@
629install_sh = @install_sh@
630libdir = @libdir@
631libexecdir = @libexecdir@
632localedir = @localedir@
633localstatedir = @localstatedir@
634mandir = @mandir@
635mkdir_p = @mkdir_p@
636oldincludedir = @oldincludedir@
637pdfdir = @pdfdir@
638prefix = @prefix@
639program_transform_name = @program_transform_name@
640psdir = @psdir@
641runstatedir = @runstatedir@
642sbindir = @sbindir@
643sharedstatedir = @sharedstatedir@
644srcdir = @srcdir@
645sysconfdir = @sysconfdir@
646target_alias = @target_alias@
647top_build_prefix = @top_build_prefix@
648top_builddir = @top_builddir@
649top_srcdir = @top_srcdir@
650SUBDIRS = . benchmark
651noinst_LIBRARIES = libruntests.a
652
653# To support MinGW and Non-MinGW at the same time:
654LOG_DRIVER = $(srcdir)/../test-driver-wrapper.sh
655libruntests_a_SOURCES = \
656    chardata.c \
657    structdata.c \
658    memcheck.c \
659    minicheck.c
660
661runtests_SOURCES = \
662    runtests.c
663
664runtestspp_SOURCES = \
665    runtestspp.cpp
666
667runtests_LDADD = libruntests.a ../lib/libexpatinternal.la
668runtestspp_LDADD = libruntests.a ../lib/libexpatinternal.la
669runtests_LDFLAGS = @AM_LDFLAGS@ @LIBM@
670runtestspp_LDFLAGS = @AM_LDFLAGS@ @LIBM@
671EXTRA_DIST = \
672    chardata.h \
673    structdata.h \
674    minicheck.h \
675    memcheck.h \
676    README.txt \
677    udiffer.py \
678    xmltest.log.expected \
679    xmltest.sh
680
681all: all-recursive
682
683.SUFFIXES:
684.SUFFIXES: .c .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
685$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
686	@for dep in $?; do \
687	  case '$(am__configure_deps)' in \
688	    *$$dep*) \
689	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
690	        && { if test -f $@; then exit 0; else break; fi; }; \
691	      exit 1;; \
692	  esac; \
693	done; \
694	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
695	$(am__cd) $(top_srcdir) && \
696	  $(AUTOMAKE) --gnu tests/Makefile
697Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
698	@case '$?' in \
699	  *config.status*) \
700	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
701	  *) \
702	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
703	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
704	esac;
705
706$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
707	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
708
709$(top_srcdir)/configure:  $(am__configure_deps)
710	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
711$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
712	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
713$(am__aclocal_m4_deps):
714
715clean-checkPROGRAMS:
716	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
717	echo " rm -f" $$list; \
718	rm -f $$list || exit $$?; \
719	test -n "$(EXEEXT)" || exit 0; \
720	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
721	echo " rm -f" $$list; \
722	rm -f $$list
723
724clean-noinstLIBRARIES:
725	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
726
727libruntests.a: $(libruntests_a_OBJECTS) $(libruntests_a_DEPENDENCIES) $(EXTRA_libruntests_a_DEPENDENCIES)
728	$(AM_V_at)-rm -f libruntests.a
729	$(AM_V_AR)$(libruntests_a_AR) libruntests.a $(libruntests_a_OBJECTS) $(libruntests_a_LIBADD)
730	$(AM_V_at)$(RANLIB) libruntests.a
731
732runtests$(EXEEXT): $(runtests_OBJECTS) $(runtests_DEPENDENCIES) $(EXTRA_runtests_DEPENDENCIES)
733	@rm -f runtests$(EXEEXT)
734	$(AM_V_CCLD)$(runtests_LINK) $(runtests_OBJECTS) $(runtests_LDADD) $(LIBS)
735
736runtestspp$(EXEEXT): $(runtestspp_OBJECTS) $(runtestspp_DEPENDENCIES) $(EXTRA_runtestspp_DEPENDENCIES)
737	@rm -f runtestspp$(EXEEXT)
738	$(AM_V_CXXLD)$(runtestspp_LINK) $(runtestspp_OBJECTS) $(runtestspp_LDADD) $(LIBS)
739
740mostlyclean-compile:
741	-rm -f *.$(OBJEXT)
742
743distclean-compile:
744	-rm -f *.tab.c
745
746@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chardata.Po@am__quote@ # am--include-marker
747@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/memcheck.Po@am__quote@ # am--include-marker
748@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/minicheck.Po@am__quote@ # am--include-marker
749@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtests.Po@am__quote@ # am--include-marker
750@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtestspp.Po@am__quote@ # am--include-marker
751@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/structdata.Po@am__quote@ # am--include-marker
752
753$(am__depfiles_remade):
754	@$(MKDIR_P) $(@D)
755	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
756
757am--depfiles: $(am__depfiles_remade)
758
759.c.o:
760@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
761@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
762@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
763@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
764@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
765
766.c.obj:
767@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
768@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
769@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
770@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
771@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
772
773.c.lo:
774@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
775@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
776@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
777@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
778@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
779
780.cpp.o:
781@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
782@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
783@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
784@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
785@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
786
787.cpp.obj:
788@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
789@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
790@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
791@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
792@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
793
794.cpp.lo:
795@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
796@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
797@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
798@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
799@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
800
801mostlyclean-libtool:
802	-rm -f *.lo
803
804clean-libtool:
805	-rm -rf .libs _libs
806
807# This directory's subdirectories are mostly independent; you can cd
808# into them and run 'make' without going through this Makefile.
809# To change the values of 'make' variables: instead of editing Makefiles,
810# (1) if the variable is set in 'config.status', edit 'config.status'
811#     (which will cause the Makefiles to be regenerated when you run 'make');
812# (2) otherwise, pass the desired values on the 'make' command line.
813$(am__recursive_targets):
814	@fail=; \
815	if $(am__make_keepgoing); then \
816	  failcom='fail=yes'; \
817	else \
818	  failcom='exit 1'; \
819	fi; \
820	dot_seen=no; \
821	target=`echo $@ | sed s/-recursive//`; \
822	case "$@" in \
823	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
824	  *) list='$(SUBDIRS)' ;; \
825	esac; \
826	for subdir in $$list; do \
827	  echo "Making $$target in $$subdir"; \
828	  if test "$$subdir" = "."; then \
829	    dot_seen=yes; \
830	    local_target="$$target-am"; \
831	  else \
832	    local_target="$$target"; \
833	  fi; \
834	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
835	  || eval $$failcom; \
836	done; \
837	if test "$$dot_seen" = "no"; then \
838	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
839	fi; test -z "$$fail"
840
841ID: $(am__tagged_files)
842	$(am__define_uniq_tagged_files); mkid -fID $$unique
843tags: tags-recursive
844TAGS: tags
845
846tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
847	set x; \
848	here=`pwd`; \
849	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
850	  include_option=--etags-include; \
851	  empty_fix=.; \
852	else \
853	  include_option=--include; \
854	  empty_fix=; \
855	fi; \
856	list='$(SUBDIRS)'; for subdir in $$list; do \
857	  if test "$$subdir" = .; then :; else \
858	    test ! -f $$subdir/TAGS || \
859	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
860	  fi; \
861	done; \
862	$(am__define_uniq_tagged_files); \
863	shift; \
864	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
865	  test -n "$$unique" || unique=$$empty_fix; \
866	  if test $$# -gt 0; then \
867	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
868	      "$$@" $$unique; \
869	  else \
870	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
871	      $$unique; \
872	  fi; \
873	fi
874ctags: ctags-recursive
875
876CTAGS: ctags
877ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
878	$(am__define_uniq_tagged_files); \
879	test -z "$(CTAGS_ARGS)$$unique" \
880	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
881	     $$unique
882
883GTAGS:
884	here=`$(am__cd) $(top_builddir) && pwd` \
885	  && $(am__cd) $(top_srcdir) \
886	  && gtags -i $(GTAGS_ARGS) "$$here"
887cscopelist: cscopelist-recursive
888
889cscopelist-am: $(am__tagged_files)
890	list='$(am__tagged_files)'; \
891	case "$(srcdir)" in \
892	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
893	  *) sdir=$(subdir)/$(srcdir) ;; \
894	esac; \
895	for i in $$list; do \
896	  if test -f "$$i"; then \
897	    echo "$(subdir)/$$i"; \
898	  else \
899	    echo "$$sdir/$$i"; \
900	  fi; \
901	done >> $(top_builddir)/cscope.files
902
903distclean-tags:
904	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
905
906# Recover from deleted '.trs' file; this should ensure that
907# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
908# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
909# to avoid problems with "make -n".
910.log.trs:
911	rm -f $< $@
912	$(MAKE) $(AM_MAKEFLAGS) $<
913
914# Leading 'am--fnord' is there to ensure the list of targets does not
915# expand to empty, as could happen e.g. with make check TESTS=''.
916am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
917am--force-recheck:
918	@:
919
920$(TEST_SUITE_LOG): $(TEST_LOGS)
921	@$(am__set_TESTS_bases); \
922	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
923	redo_bases=`for i in $$bases; do \
924	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
925	            done`; \
926	if test -n "$$redo_bases"; then \
927	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
928	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
929	  if $(am__make_dryrun); then :; else \
930	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
931	  fi; \
932	fi; \
933	if test -n "$$am__remaking_logs"; then \
934	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
935	       "recursion detected" >&2; \
936	elif test -n "$$redo_logs"; then \
937	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
938	fi; \
939	if $(am__make_dryrun); then :; else \
940	  st=0;  \
941	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
942	  for i in $$redo_bases; do \
943	    test -f $$i.trs && test -r $$i.trs \
944	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
945	    test -f $$i.log && test -r $$i.log \
946	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
947	  done; \
948	  test $$st -eq 0 || exit 1; \
949	fi
950	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
951	ws='[ 	]'; \
952	results=`for b in $$bases; do echo $$b.trs; done`; \
953	test -n "$$results" || results=/dev/null; \
954	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
955	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
956	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
957	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
958	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
959	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
960	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
961	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
962	  success=true; \
963	else \
964	  success=false; \
965	fi; \
966	br='==================='; br=$$br$$br$$br$$br; \
967	result_count () \
968	{ \
969	    if test x"$$1" = x"--maybe-color"; then \
970	      maybe_colorize=yes; \
971	    elif test x"$$1" = x"--no-color"; then \
972	      maybe_colorize=no; \
973	    else \
974	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
975	    fi; \
976	    shift; \
977	    desc=$$1 count=$$2; \
978	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
979	      color_start=$$3 color_end=$$std; \
980	    else \
981	      color_start= color_end=; \
982	    fi; \
983	    echo "$${color_start}# $$desc $$count$${color_end}"; \
984	}; \
985	create_testsuite_report () \
986	{ \
987	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
988	  result_count $$1 "PASS: " $$pass  "$$grn"; \
989	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
990	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
991	  result_count $$1 "FAIL: " $$fail  "$$red"; \
992	  result_count $$1 "XPASS:" $$xpass "$$red"; \
993	  result_count $$1 "ERROR:" $$error "$$mgn"; \
994	}; \
995	{								\
996	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
997	    $(am__rst_title);						\
998	  create_testsuite_report --no-color;				\
999	  echo;								\
1000	  echo ".. contents:: :depth: 2";				\
1001	  echo;								\
1002	  for b in $$bases; do echo $$b; done				\
1003	    | $(am__create_global_log);					\
1004	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1005	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1006	if $$success; then						\
1007	  col="$$grn";							\
1008	 else								\
1009	  col="$$red";							\
1010	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1011	fi;								\
1012	echo "$${col}$$br$${std}"; 					\
1013	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
1014	echo "$${col}$$br$${std}"; 					\
1015	create_testsuite_report --maybe-color;				\
1016	echo "$$col$$br$$std";						\
1017	if $$success; then :; else					\
1018	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1019	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1020	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1021	  fi;								\
1022	  echo "$$col$$br$$std";					\
1023	fi;								\
1024	$$success || exit 1
1025
1026check-TESTS: $(check_PROGRAMS)
1027	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1028	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1029	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1030	@set +e; $(am__set_TESTS_bases); \
1031	log_list=`for i in $$bases; do echo $$i.log; done`; \
1032	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1033	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1034	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1035	exit $$?;
1036recheck: all $(check_PROGRAMS)
1037	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1038	@set +e; $(am__set_TESTS_bases); \
1039	bases=`for i in $$bases; do echo $$i; done \
1040	         | $(am__list_recheck_tests)` || exit 1; \
1041	log_list=`for i in $$bases; do echo $$i.log; done`; \
1042	log_list=`echo $$log_list`; \
1043	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1044	        am__force_recheck=am--force-recheck \
1045	        TEST_LOGS="$$log_list"; \
1046	exit $$?
1047runtests.log: runtests$(EXEEXT)
1048	@p='runtests$(EXEEXT)'; \
1049	b='runtests'; \
1050	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1051	--log-file $$b.log --trs-file $$b.trs \
1052	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1053	"$$tst" $(AM_TESTS_FD_REDIRECT)
1054runtestspp.log: runtestspp$(EXEEXT)
1055	@p='runtestspp$(EXEEXT)'; \
1056	b='runtestspp'; \
1057	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1058	--log-file $$b.log --trs-file $$b.trs \
1059	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1060	"$$tst" $(AM_TESTS_FD_REDIRECT)
1061.test.log:
1062	@p='$<'; \
1063	$(am__set_b); \
1064	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1065	--log-file $$b.log --trs-file $$b.trs \
1066	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1067	"$$tst" $(AM_TESTS_FD_REDIRECT)
1068@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1069@am__EXEEXT_TRUE@	@p='$<'; \
1070@am__EXEEXT_TRUE@	$(am__set_b); \
1071@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1072@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1073@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1074@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1075distdir: $(BUILT_SOURCES)
1076	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1077
1078distdir-am: $(DISTFILES)
1079	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1080	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1081	list='$(DISTFILES)'; \
1082	  dist_files=`for file in $$list; do echo $$file; done | \
1083	  sed -e "s|^$$srcdirstrip/||;t" \
1084	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1085	case $$dist_files in \
1086	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1087			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1088			   sort -u` ;; \
1089	esac; \
1090	for file in $$dist_files; do \
1091	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1092	  if test -d $$d/$$file; then \
1093	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1094	    if test -d "$(distdir)/$$file"; then \
1095	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1096	    fi; \
1097	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1098	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1099	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1100	    fi; \
1101	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1102	  else \
1103	    test -f "$(distdir)/$$file" \
1104	    || cp -p $$d/$$file "$(distdir)/$$file" \
1105	    || exit 1; \
1106	  fi; \
1107	done
1108	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1109	  if test "$$subdir" = .; then :; else \
1110	    $(am__make_dryrun) \
1111	      || test -d "$(distdir)/$$subdir" \
1112	      || $(MKDIR_P) "$(distdir)/$$subdir" \
1113	      || exit 1; \
1114	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1115	    $(am__relativize); \
1116	    new_distdir=$$reldir; \
1117	    dir1=$$subdir; dir2="$(top_distdir)"; \
1118	    $(am__relativize); \
1119	    new_top_distdir=$$reldir; \
1120	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1121	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1122	    ($(am__cd) $$subdir && \
1123	      $(MAKE) $(AM_MAKEFLAGS) \
1124	        top_distdir="$$new_top_distdir" \
1125	        distdir="$$new_distdir" \
1126		am__remove_distdir=: \
1127		am__skip_length_check=: \
1128		am__skip_mode_fix=: \
1129	        distdir) \
1130	      || exit 1; \
1131	  fi; \
1132	done
1133check-am: all-am
1134	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1135	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1136check: check-recursive
1137all-am: Makefile $(LIBRARIES)
1138installdirs: installdirs-recursive
1139installdirs-am:
1140install: install-recursive
1141install-exec: install-exec-recursive
1142install-data: install-data-recursive
1143uninstall: uninstall-recursive
1144
1145install-am: all-am
1146	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1147
1148installcheck: installcheck-recursive
1149install-strip:
1150	if test -z '$(STRIP)'; then \
1151	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1152	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1153	      install; \
1154	else \
1155	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1156	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1157	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1158	fi
1159mostlyclean-generic:
1160	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1161	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1162	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1163
1164clean-generic:
1165
1166distclean-generic:
1167	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1168	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1169
1170maintainer-clean-generic:
1171	@echo "This command is intended for maintainers to use"
1172	@echo "it deletes files that may require special tools to rebuild."
1173clean: clean-recursive
1174
1175clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1176	clean-noinstLIBRARIES mostlyclean-am
1177
1178distclean: distclean-recursive
1179		-rm -f ./$(DEPDIR)/chardata.Po
1180	-rm -f ./$(DEPDIR)/memcheck.Po
1181	-rm -f ./$(DEPDIR)/minicheck.Po
1182	-rm -f ./$(DEPDIR)/runtests.Po
1183	-rm -f ./$(DEPDIR)/runtestspp.Po
1184	-rm -f ./$(DEPDIR)/structdata.Po
1185	-rm -f Makefile
1186distclean-am: clean-am distclean-compile distclean-generic \
1187	distclean-tags
1188
1189dvi: dvi-recursive
1190
1191dvi-am:
1192
1193html: html-recursive
1194
1195html-am:
1196
1197info: info-recursive
1198
1199info-am:
1200
1201install-data-am:
1202
1203install-dvi: install-dvi-recursive
1204
1205install-dvi-am:
1206
1207install-exec-am:
1208
1209install-html: install-html-recursive
1210
1211install-html-am:
1212
1213install-info: install-info-recursive
1214
1215install-info-am:
1216
1217install-man:
1218
1219install-pdf: install-pdf-recursive
1220
1221install-pdf-am:
1222
1223install-ps: install-ps-recursive
1224
1225install-ps-am:
1226
1227installcheck-am:
1228
1229maintainer-clean: maintainer-clean-recursive
1230		-rm -f ./$(DEPDIR)/chardata.Po
1231	-rm -f ./$(DEPDIR)/memcheck.Po
1232	-rm -f ./$(DEPDIR)/minicheck.Po
1233	-rm -f ./$(DEPDIR)/runtests.Po
1234	-rm -f ./$(DEPDIR)/runtestspp.Po
1235	-rm -f ./$(DEPDIR)/structdata.Po
1236	-rm -f Makefile
1237maintainer-clean-am: distclean-am maintainer-clean-generic
1238
1239mostlyclean: mostlyclean-recursive
1240
1241mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1242	mostlyclean-libtool
1243
1244pdf: pdf-recursive
1245
1246pdf-am:
1247
1248ps: ps-recursive
1249
1250ps-am:
1251
1252uninstall-am:
1253
1254.MAKE: $(am__recursive_targets) check-am install-am install-strip
1255
1256.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1257	am--depfiles check check-TESTS check-am clean \
1258	clean-checkPROGRAMS clean-generic clean-libtool \
1259	clean-noinstLIBRARIES cscopelist-am ctags ctags-am distclean \
1260	distclean-compile distclean-generic distclean-libtool \
1261	distclean-tags distdir dvi dvi-am html html-am info info-am \
1262	install install-am install-data install-data-am install-dvi \
1263	install-dvi-am install-exec install-exec-am install-html \
1264	install-html-am install-info install-info-am install-man \
1265	install-pdf install-pdf-am install-ps install-ps-am \
1266	install-strip installcheck installcheck-am installdirs \
1267	installdirs-am maintainer-clean maintainer-clean-generic \
1268	mostlyclean mostlyclean-compile mostlyclean-generic \
1269	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1270	uninstall uninstall-am
1271
1272.PRECIOUS: Makefile
1273
1274
1275# Tell versions [3.59,3.63) of GNU make to not export all variables.
1276# Otherwise a system limit (for SysV at least) may be exceeded.
1277.NOEXPORT:
1278